Package org.lwjgl.opencl

# Class CLEventCallback

java.lang.Object
org.lwjgl.PointerWrapperAbstract
org.lwjgl.opencl.CLEventCallback

All Implemented Interfaces:
  `PointerWrapper`

public abstract class CLEventCallback extends PointerWrapperAbstract
Instances of this class can be used to handle OpenCL event callbacks. A single CLEventCallback instance should only be used on events generated from the same CLCommandQueue or on user events associated with the same CLContext.

Author:
  Spasi

## Field Summary

### Fields inherited from class org.lwjgl.PointerWrapperAbstract

`pointer`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CLEventCallback()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`handleMessage(CLEvent event, int event_command_exec_status)`
The callback method.

### Methods inherited from class org.lwjgl.PointerWrapperAbstract

`checkValid, equals, getPointer, hashCode, isValid, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CLEventCallback

protected CLEventCallback()

## Method Details

### handleMessage

protected abstract void handleMessage(CLEvent event, int event_command_exec_status)
The callback method.

Parameters:
  `event` - the CLEvent object
  `event_command_exec_status` - the execution status